
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

#if !defined RADIO_BROWSER_H
#define RADIO_BROWSER_H

#if _MSC_VER > 1000
#pragma once
#endif				// _MSC_VER > 1000

/* not used

///////////////////////////////////////////////////
// CCountry
class CCountry
{
public:
	CCountry();
	~CCountry();
	CCountry(const CCountry & country);
	void	operator=(const CCountry & country);
	BOOL	operator==(const CCountry & country);
	void	Copy(const CCountry & country);
	void	Zero();
	CString m_name;
	int		m_nStations;
};
// CCountryArray - an array of CCountries.
class CCountryArray : public CArray <CCountry, CCountry&> 
{
};

///////////////////////////////////////////////////
// CTag
class CTag
{
public:
	CTag();
	~CTag();
	CTag(const CTag & tag);
	void	operator=(const CTag & tag);
	BOOL	operator==(const CTag & tag);
	void	Copy(const CTag & tag);
	void	Zero();
	CString m_name;
	int		m_nStations;
};
// CTagArray - an array of CCountries.
class CTagArray : public CArray <CTag, CTag&> 
{
};


///////////////////////////////////////////////////
// Class CRadioBrowse
class CRadioBrowse
{
public:
	CRadioBrowse();
	~CRadioBrowse();

	int GetServers(CString filePath, CString & errStr);
	int GetCountries(CString filePath, CString server, CString & errStr);
	int GetTags(CString filePath, CString server, CString & errStr);

private:
	CStringArray m_rbSeverAr;
	CCountryArray m_countryAr;
	CTagArray m_tagAr;
};



*/
#endif //RADIO_BROWSER_H
